Get popular tracks from TikTok Commercial Music Library
curl --request GET \
--url https://api.bundle.social/api/v1/misc/tiktok/cml/trending-list \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bundle.social/api/v1/misc/tiktok/cml/trending-list"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bundle.social/api/v1/misc/tiktok/cml/trending-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[]{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"code": "invalid_type",
"path": [
"<string>"
]
}
]
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}{
"message": "<string>",
"statusCode": 123
}misc
Get popular tracks from TikTok Commercial Music Library
Retrieve up to 100 popular tracks pre-cleared for organic content and ad creation from TikTok CML.
GET
/
api
/
v1
/
misc
/
tiktok
/
cml
/
trending-list
Get popular tracks from TikTok Commercial Music Library
Authorizations
Query Parameters
Genre filter for commercial music results.
Available options:
ROCK, POP, LATIN, METAL, ELECTRONIC, HIP_HOP/RAP, ALTERNATIVE/INDIE, R&B/SOUL, COUNTRY, CLASSICAL, JAZZ, CHILDHOOD, ALTERNATIVE_HIP_HOP, AMBIENT, BOSSA_NOVA, BRAZILIAN_FUNK_STYLE, CHILL_BEATS, CHILLOUT, CHINESE_POP, CHRISTIAN_MUSIC, COUNTRY_POP, DANCE_POP, DISCO, DJ, DRUM&BASS, DUBSTEP, EDM, FUNK, HOUSE, INDIE_POP, J-POP, K-POP, LATIN_POP, LO-FI, OLD_SCHOOL, PUNK, RUSSIAN_POP, SOUL, SOUNDTRACK, SYNTH_POP, TECHNO, TEEN_POP Timeframe for popular tracks ranking.
Available options:
1DAY, 7DAY, 30DAY Response
List of trending tracks.
Thumbnail image URL for the track.
Artist name.
Current rank position in the selected region.
The name of the commercial music track.
Track duration in seconds.
Track preview URL (valid for six hours).
List of genres associated with the track.
Historical ranking data (up to 30 days).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?